Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
eZSys Class Reference

## Public Member Functions
| __construct (array $serverParams=array())
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| __get ( $propertyName)
| __isset ( $propertyName)

## Static Public Member Functions
static | osType ()
static | osName ()
static | filesystemType ()
static | fileSeparator ()
static | isShellExecution ()
static | escapeShellArgument ( $argument)
static | createShellArgument ( $argumentText, array $replaceList)
static | splitArgumentIntoElements ( $argumentText)
static | mergeArgumentElements (array $argumentElements)
static | backupFilename ()
static | lineSeparator ()
static | envSeparator ()
static | varDirectory ()
static | storageDirectory ()
static | cacheDirectory ()
static | rootDir ()
static | siteDir ()
static | wwwDir ()
static | indexDir ( $withAccessList=true)
static | queryString ()
static | indexFile ( $withAccessPath=true)
static | indexFileName ()
static | hostname ()
static | clientIP ()
static | isSSLNow ()
static | serverProtocol ()
static | serverURL ()
static | serverPort ()
static | serverVariable ( $variableName, $quiet=false)
static | setServerVariable ( $variableName, $variableValue)
static | path ( $quiet=false)
static | environmentVariable ( $variableName, $quiet=false)
static | hasEnvironmentVariable ( $variableName)
static | setEnvironmentVariable ( $variableName, $variableValue)
static | addAccessPath ( $path, $name='undefined', $siteaccess=true)
static | setAccessPath (array $path=array(), $name='undefined', $siteaccess=true)
static | clearAccessPath ( $siteaccess=true)
static | init ( $index='index.php', $forceVirtualHost=null)
static | requestURI ()
static | instance ()
static | setInstance (eZSys|null $instance=null)
static | ezcrc32 ( $string)
static | protocolSchema ()
static | globBrace ( $pattern, $flags=0)

## Public Attributes
| $LineSeparator
| $FileSeparator
| $EnvSeparator
| $RootDir
| $SiteDir
| $WWWDir
| $IndexFile
| $RequestURI
| $FileSystemType
| $ShellEscapeCharacter
| $OSType
| $Attributes
| $OS
| $BackupFilename

## Static Protected Member Functions
static | getValidwwwDir ( $phpSelf, $scriptFileName, $index)
static | simulateGlobBrace ( $filenames)

## Protected Attributes
| $AccessPath
| $Params
| $QueryString

## Static Protected Attributes
static | $instance = null

## Detailed Description

Definition at line 33 of file ezsys.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSys::__construct | ( | array | $serverParams = `array()` | ) |

Initialize the object with settings taken from the current script run.

Parameters

  array | $serverParams | For unit testing use, see first few lines for content

Definition at line 156 of file ezsys.php.

## Member Function Documentation

## ◆ __get()

eZSys::__get | ( |  | $propertyName | ) |

Magic function to get access readonly properties (protected)

Parameters

  string | $propertyName |

Returns
  mixed

Exceptions

  ezcBasePropertyNotFoundException |

Definition at line 1075 of file ezsys.php.

References $AccessPath.

## ◆ __isset()

eZSys::__isset | ( |  | $propertyName | ) |

Magic function to see if readonly properties (protected) exists

Parameters

  string | $propertyName | Option name to check for.

Returns
  bool Whether the option exists. @ignore

Definition at line 1090 of file ezsys.php.

## ◆ addAccessPath()

static eZSys::addAccessPath | ( |  | $path,
|  |  | $name = `'undefined'`,
|  |  | $siteaccess = `true`
| ) |  |
| static

Appends the access path (parts of url that identifies siteaccess), used by eZSys::indexFile() NOTE: Does not make sense to use for siteaccess, as you would want to clear current path and set new one normally, so preferably use eZSys::setAccessPath() in this case.

Parameters

  array | string | $path |
  string | $name | An identifer of the name of the path provided $AccessPath
  bool | $siteaccess | Hints if path is siteaccess related or not, needed in case subsequesnt code suddenly changes siteaccess and needs to clear siteaccess scope

Definition at line 1014 of file ezsys.php.

References $instance, $name, and instance().

## ◆ attribute()

eZSys::attribute | ( |  | $attr | ) |

Returns the attribute value for $attr or null if the attribute does not exist

Parameters

  string | $attr |

Returns
  null|string

Definition at line 973 of file ezsys.php.

References indexDir(), indexFile(), queryString(), siteDir(), eZDebug\writeError(), and wwwDir().

## ◆ attributes()

eZSys::attributes | ( |  | ) |

Make sure that certain attribute keys are available in $this->Attributes

Returns
  array

Definition at line 945 of file ezsys.php.

Referenced by hasAttribute().

## ◆ backupFilename()

static eZSys::backupFilename | ( |  | ) |
| static

Returns the backup filename for this platform

Possible values: .bak (win32), ~ (unix, mac)

Returns
  string

Definition at line 474 of file ezsys.php.

References instance().

## ◆ cacheDirectory()

static eZSys::cacheDirectory | ( |  | ) |
| static

Returns the current cache directory.

Returns
  string

Definition at line 528 of file ezsys.php.

References $ini, and eZDir\path().

Referenced by ezpRestCacheStorageCluster\__construct(), ezpbKernelAdmin\__construct(), ezpbKernelWeb\__construct(), ezpKernelWeb\__construct(), eZDFSFileHandlerMySQLiBackend\deleteCacheFiles(), eZContentLanguage\expireCache(), eZContentLanguage\fetchList(), eZContentObjectStateGroup\limitations(), and eZTranslationCache\rootCacheDirectory().

## ◆ clearAccessPath()

static eZSys::clearAccessPath | ( |  | $siteaccess = `true` | ) |
| static

Clears the access path, used by eZSys::indexFile()

Parameters

  bool | $siteaccess |

Returns
  void

Definition at line 1060 of file ezsys.php.

References instance().

Referenced by eZSiteAccess\change().

## ◆ clientIP()

static eZSys::clientIP | ( |  | ) |
| static

Returns the client IP whether he's behind a proxy or not

Use [HTTPHeaderSettings].ClientIpByCustomHTTPHeader in site.ini if you want to use a custom http header such as X-Forwarded-For

Note: X-Forwarded-For is transformed by PHP into $_SERVER['HTTP_X_FORWARDED_FOR]

eZDebug calls in this method should be avoided as there is a risk of infinite recurstion due to IP check (http://issues.ez.no/19045

Returns
  string

Definition at line 715 of file ezsys.php.

References serverVariable().

Referenced by eZDebug\isAllowedByCurrentIP(), eZDebug\write(), and eZDebug\writeFile().

## ◆ createShellArgument()

static eZSys::createShellArgument | ( |  | $argumentText,
|  | array | $replaceList
| ) |  |
| static

Replaces % elements in $argumentText using $replaceList, and also properly escape the argument

Parameters

  string | $argumentText |
  array | $replaceList |

Returns
  string

Definition at line 313 of file ezsys.php.

References $element, $elements, $instance, and instance().

## ◆ environmentVariable()

static eZSys::environmentVariable | ( |  | $variableName,
|  |  | $quiet = `false`
| ) |  |
| static

Returns an environment variable or null if it is not available

If the variable is not available, trigger an error message

Parameters

  string | $variableName |
  bool | $quiet |

Returns
  null|string

Definition at line 904 of file ezsys.php.

References eZDebug\writeError().

## ◆ envSeparator()

static eZSys::envSeparator | ( |  | ) |
| static

Returns the string used as environment separator on the current system

Returns
  string

Definition at line 494 of file ezsys.php.

References instance().

## ◆ escapeShellArgument()

static eZSys::escapeShellArgument | ( |  | $argument | ) |
| static

Returns an escaped string to be used as a shell argument

Parameters

  string | $argument |

Returns
  string

Definition at line 291 of file ezsys.php.

References instance().

## ◆ ezcrc32()

static eZSys::ezcrc32 | ( |  | $string | ) |
| static

A wrapper for PHP's crc32 function. Returns the crc32 polynomial as unsigned int

Parameters

  $string |

Returns
  int|string

Definition at line 1298 of file ezsys.php.

References $ini.

Referenced by eZWebDAVContentBackendAuth\authorize(), ezpbKernelAdmin\dispatchLoop(), ezpbKernelWeb\dispatchLoop(), ezpKernelWeb\dispatchLoop(), ezpKernelTreeMenu\run(), eZSiteAccess\siteAccessList(), eZCharTransform\transform(), and eZCharTransform\transformByGroup().

## ◆ fileSeparator()

static eZSys::fileSeparator | ( |  | ) |
| static

Returns the string used as the file separator on the current system

Returns
  string

Definition at line 256 of file ezsys.php.

References instance().

Referenced by eZDir\isWriteable(), and eZDir\separator().

## ◆ filesystemType()

static eZSys::filesystemType | ( |  | ) |
| static

Returns the filesystem type

Possible values: win32, unix

Returns
  string

Definition at line 246 of file ezsys.php.

References instance().

## ◆ getValidwwwDir()

static eZSys::getValidwwwDir | ( |  | $phpSelf,
|  |  | $scriptFileName,
|  |  | $index
| ) |  |
| static protected

Generate wwwdir from phpSelf if valid accoring to scriptFileName and return null if invalid and false if there is no index in phpSelf

Parameters

  string | $phpSelf |
  string | $scriptFileName |
  string | $index |

Returns
  string|null|false String in form 'path/path2' if valid, null if not and false if $index is not part of phpself

Definition at line 1212 of file ezsys.php.

References $index, and $uri.

Referenced by init().

## ◆ globBrace()

static eZSys::globBrace | ( |  | $pattern,
|  |  | $flags = `0`
| ) |  |
| static

Wraps around the built-in glob() function to provide same functionality for systems (e.g Solaris) that does not support GLOB_BRACE.

Parameters

  string | $pattern |
  int | $flags |

Returns
  array

Definition at line 1334 of file ezsys.php.

References $file, $files, $result, and simulateGlobBrace().

Referenced by eZFSFileHandler\fileDeleteByDirList(), and eZFSFileHandler\fileDeleteByWildcard().

## ◆ hasAttribute()

eZSys::hasAttribute | ( |  | $attr | ) |

Checks if the attribute $attr is set.

Parameters

  string | $attr |

Returns
  bool

Definition at line 962 of file ezsys.php.

References attributes().

## ◆ hasEnvironmentVariable()

static eZSys::hasEnvironmentVariable | ( |  | $variableName | ) |
| static

Checks if an environment variable is available

Parameters

  string | $variableName |

Returns
  bool

Definition at line 923 of file ezsys.php.

## ◆ hostname()

static eZSys::hostname | ( |  | ) |
| static

Returns the current hostname.

First tries to use X-Forward-Host before it goes on to use host in header, if none of them exists fallback to use host part of site.ini[SiteSettings]|SiteURL setting.

Returns
  string

Definition at line 677 of file ezsys.php.

References serverVariable().

Referenced by ezpbKernelAdmin\__construct(), ezpbKernelWeb\__construct(), ezpKernelTreeMenu\__construct(), ezpKernelWeb\__construct(), ezpKernelRest\__construct(), serverPort(), and serverURL().

## ◆ indexDir()

static eZSys::indexDir | ( |  | $withAccessList = `true` | ) |
| static

Returns the filepath for the index file.

Parameters

  bool | $withAccessList |

Returns
  string

Definition at line 594 of file ezsys.php.

References indexFile(), and wwwDir().

Referenced by attribute(), ezpMvcConfiguration\createRequestParser(), eZWebDAVContentBackend\currentSiteFromPath(), eZSiteAccess\match(), ezpbKernelAdmin\redirect(), ezpbKernelWeb\redirect(), ezpKernelWeb\redirect(), and ezpMobileDeviceRegexpFilter\redirect().

## ◆ indexFile()

static eZSys::indexFile | ( |  | $withAccessPath = `true` | ) |
| static

Returns the filepath for the index file with the access path appended

Parameters

  bool | $withAccessPath |

Returns
  string

Definition at line 619 of file ezsys.php.

References $ini, $sys, and instance().

Referenced by ezpbKernelAdmin\__construct(), ezpbKernelWeb\__construct(), ezpKernelTreeMenu\__construct(), ezpKernelWeb\__construct(), ezpKernelRest\__construct(), attribute(), indexDir(), and ezpLanguageSwitcher\process().

## ◆ indexFileName()

static eZSys::indexFileName | ( |  | ) |
| static

Returns the filepath for the index file

Returns
  string

Definition at line 664 of file ezsys.php.

References instance().

## ◆ init()

static eZSys::init | ( |  | $index = `'index.php'`,
|  |  | $forceVirtualHost = `null`
| ) |  |
| static

Initializes some variables according to some global PHP values. This function should be called once in the index file with the parameters stated in the parameter list.

Parameters

  string | $index | The current index file, needed for virtual host mode detection.
  bool | $forceVirtualHost | Virtual host mode is normally autodetected, but if not this can be forced by setting this to true.

Definition at line 1104 of file ezsys.php.

References $index, $IndexFile, $instance, $server, $siteDir, $wwwDir, getValidwwwDir(), and instance().

Referenced by ezpbKernelAdmin\__construct(), ezpbKernelWeb\__construct(), ezpKernelTreeMenu\__construct(), ezpKernelWeb\__construct(), and ezpKernelRest\__construct().

## ◆ instance()

static eZSys::instance | ( |  | ) |
| static

Returns a shared instance of the eZSys class

Returns
  eZSys

Definition at line 1273 of file ezsys.php.

References $instance, and $instance.

Referenced by addAccessPath(), backupFilename(), eZCharTransform\cachedTransformationPath(), clearAccessPath(), createShellArgument(), envSeparator(), escapeShellArgument(), fileSeparator(), filesystemType(), indexFile(), indexFileName(), init(), lineSeparator(), mergeArgumentElements(), osName(), osType(), queryString(), requestURI(), rootDir(), setAccessPath(), siteDir(), eZURI\transformURI(), and wwwDir().

## ◆ isShellExecution()

static eZSys::isShellExecution | ( |  | ) |
| static

Determines if the current process has been started from the web or the shell

Returns
  bool

Definition at line 266 of file ezsys.php.

Referenced by ezpSessionHandlerSymfony\destroy(), ezpSessionHandlerSymfony\gc(), eZDebug\isAllowedByCurrentIP(), and ezpSessionHandlerSymfony\regenerate().

## ◆ isSSLNow()

static eZSys::isSSLNow | ( |  | ) |
| static

Determines if SSL is enabled and protocol HTTPS is used.

Returns
  bool

Definition at line 745 of file ezsys.php.

References $ini, and serverPort().

Referenced by ezpRestHttpRequestParser\processEncryption().

## ◆ lineSeparator()

static eZSys::lineSeparator | ( |  | ) |
| static

Returns the string used as line separator on the current system

Returns
  string

Definition at line 484 of file ezsys.php.

References instance().

## ◆ mergeArgumentElements()

static eZSys::mergeArgumentElements | ( | array | $argumentElements | ) |
| static

Merges an argument list created by eZSys::splitArgumentIntoElements() back into a text string

Parameters

  array | $argumentElements |

Returns
  string

Definition at line 449 of file ezsys.php.

References $element, $instance, and instance().

## ◆ osName()

static eZSys::osName | ( |  | ) |
| static

Returns the current OS name or false if it can not be determined.

Possible values: windows, linux, freebsd, darwin

Returns
  string|bool

Definition at line 234 of file ezsys.php.

References instance().

## ◆ osType()

static eZSys::osType | ( |  | ) |
| static

Returns the OS type

Possible values: win32, unix

Returns
  string

Definition at line 222 of file ezsys.php.

References instance().

Referenced by eZDir\isWriteable(), eZFile\isWriteable(), and eZFileHandler\linkCopy().

## ◆ path()

static eZSys::path | ( |  | $quiet = `false` | ) |
| static

Returns the server's path string

Parameters

  bool | $quiet |

Returns
  mixed|null

Definition at line 890 of file ezsys.php.

References serverVariable().

## ◆ protocolSchema()

static eZSys::protocolSchema | ( |  | ) |
| static

Returns the schema of the request.

Returns
  string

Definition at line 1315 of file ezsys.php.

## ◆ queryString()

static eZSys::queryString | ( |  | ) |
| static

Returns the query string for the current request.

`?param1=value1&param2=value2`

Returns
  string

Definition at line 608 of file ezsys.php.

References instance().

Referenced by attribute(), eZURI\attribute(), ezpLanguageSwitcherOperator\modify(), ezpbKernelAdmin\redirect(), ezpbKernelWeb\redirect(), ezpKernelWeb\redirect(), and ezpMobileDeviceRegexpFilter\redirect().

## ◆ requestURI()

static eZSys::requestURI | ( |  | ) |
| static

Returns the URI used for parsing modules, views and parameters

May differ from $_SERVER['REQUEST_URI'].

Returns
  string

Definition at line 1263 of file ezsys.php.

References instance().

Referenced by ezpbKernelAdmin\__construct(), ezpbKernelWeb\__construct(), ezpKernelTreeMenu\__construct(), ezpKernelWeb\__construct(), ezpKernelRest\__construct(), eZURI\instance(), ezpbKernelAdmin\redirect(), ezpbKernelWeb\redirect(), ezpKernelWeb\redirect(), ezpMobileDeviceRegexpFilter\redirect(), ezpbKernelAdmin\requestInit(), ezpbKernelWeb\requestInit(), ezpKernelWeb\requestInit(), and ezpKernelWeb\run().

## ◆ rootDir()

static eZSys::rootDir | ( |  | ) |
| static

Returns the absolute path to the eZ Publish root directory

Returns
  string|null

Definition at line 548 of file ezsys.php.

References $cwd, $instance, file_exists(), and instance().

Referenced by eZDir\recursiveDelete().

## ◆ serverPort()

static eZSys::serverPort | ( |  | ) |
| static

Returns the server port or 80 as default if the server port can not be retrieved from the hostname or the server variable 'SERVER_PORT'

Returns
  int

Definition at line 824 of file ezsys.php.

References hostname().

Referenced by ezpbKernelAdmin\__construct(), ezpbKernelWeb\__construct(), ezpKernelTreeMenu\__construct(), ezpKernelWeb\__construct(), ezpKernelRest\__construct(), and isSSLNow().

## ◆ serverProtocol()

static eZSys::serverProtocol | ( |  | ) |
| static

Returns the current server protocol depending on if SSL is enabled or not.

Returns
  string

Definition at line 780 of file ezsys.php.

Referenced by ezpLanguageSwitcher\process().

## ◆ serverURL()

static eZSys::serverURL | ( |  | ) |
| static

Returns the server URL (protocol and hostname and port)

Returns
  string

Definition at line 793 of file ezsys.php.

References $ini, $url, and hostname().

Referenced by ezpMobileDeviceRegexpFilter\redirect().

## ◆ serverVariable()

static eZSys::serverVariable | ( |  | $variableName,
|  |  | $quiet = `false`
| ) |  |
| static

Returns the value of $_SERVER[$variableName] if it is set.

If it isn't set, trigger an error message if $quiet is false

Parameters

  string | $variableName |
  bool | $quiet |

Returns
  mixed|null

Definition at line 857 of file ezsys.php.

References eZDebug\writeError().

Referenced by ezpbKernelAdmin\__construct(), ezpbKernelWeb\__construct(), ezpKernelTreeMenu\__construct(), ezpKernelWeb\__construct(), ezpKernelRest\__construct(), clientIP(), hostname(), eZSiteAccess\match(), path(), eZSiteAccess\siteAccessList(), eZDebug\write(), and eZDebug\writeFile().

## ◆ setAccessPath()

static eZSys::setAccessPath | ( | array | $path = `array()`,
|  |  | $name = `'undefined'`,
|  |  | $siteaccess = `true`
| ) |  |
| static

Set access path (parts of url that identifies siteaccess), used by eZSys::indexFile()

Parameters

  array | $path |
  string | $name | An identifer of the name of the path provided $AccessPath
  bool | $siteaccess | Hints if path is siteaccess related or not, needed in case subsequesnt code suddenly changes siteaccess and needs to clear siteaccess scope

Definition at line 1046 of file ezsys.php.

References $name, and instance().

Referenced by eZSiteAccess\change().

## ◆ setEnvironmentVariable()

static eZSys::setEnvironmentVariable | ( |  | $variableName,
|  |  | $variableValue
| ) |  |
| static

Sets an environment variable for the current process/page view

Parameters

  string | $variableName |
  mixed | $variableValue |

Returns
  void

Definition at line 935 of file ezsys.php.

## ◆ setInstance()

static eZSys::setInstance | ( | eZSys|null | $instance = `null` | ) |
| static

Sets eZSys instance or clears it if left undefined.

Parameters

  eZSys | $instance |

Definition at line 1287 of file ezsys.php.

References $instance, and $instance.

## ◆ setServerVariable()

static eZSys::setServerVariable | ( |  | $variableName,
|  |  | $variableValue
| ) |  |
| static

Sets a server variable in the global array $_SERVER

Note: Variables are only set for the current process/page view

Parameters

  string | $variableName |
  mixed | $variableValue |

Returns
  void

Definition at line 879 of file ezsys.php.

## ◆ simulateGlobBrace()

static eZSys::simulateGlobBrace | ( |  | $filenames | ) |
| static protected

Expands a list of filenames like GLOB_BRACE does.

GLOB_BRACE is non POSIX and only available in GNU glibc. This is needed to support operating systems like Solars.

Parameters

  $filenames |

Returns
  array

Definition at line 1366 of file ezsys.php.

References $result.

Referenced by globBrace().

## ◆ siteDir()

static eZSys::siteDir | ( |  | ) |
| static

Returns the path to where all the code resides.

Returns
  string

Definition at line 573 of file ezsys.php.

References instance().

Referenced by attribute().

## ◆ splitArgumentIntoElements()

static eZSys::splitArgumentIntoElements | ( |  | $argumentText | ) |
| static

Splits $argumentText on boundaries formed by one or more spaces and save them into an array of separate arguments.

The number of spaces between to arguments is inserted as an integer value between two argument values.

Example: `$list = splitArgumentIntoElements( "-geometry 100x100" ); var_dump( $list ); // Output: array( "-geometry", 1, "100x100" );`

You can then easily modify the elements separately and create the argument text with eZSys::mergeArgumentElements()

Parameters

  string | $argumentText |

Returns
  array

Definition at line 350 of file ezsys.php.

## ◆ storageDirectory()

static eZSys::storageDirectory | ( |  | ) |
| static

Returns the current storage directory

Returns
  string

Definition at line 515 of file ezsys.php.

References $ini, eZDir\path(), and varDirectory().

## ◆ varDirectory()

static eZSys::varDirectory | ( |  | ) |
| static

Returns the path of the current var directory

Returns
  string

Definition at line 504 of file ezsys.php.

References $ini, and eZDir\path().

Referenced by eZWebDAVContentBackend\appendLogEntry(), eZDebug\printReport(), storageDirectory(), and eZWebDAVContentBackend\tempDirectory().

## ◆ wwwDir()

static eZSys::wwwDir | ( |  | ) |
| static

Returns the relative directory path of the vhless setup.

Returns
  string

Definition at line 583 of file ezsys.php.

References instance().

Referenced by attribute(), indexDir(), and ezpKernelWeb\run().

## Member Data Documentation

## ◆ $AccessPath

eZSys::$AccessPath
| protected

Definition at line 80 of file ezsys.php.

Referenced by __get().

## ◆ $Attributes

eZSys::$Attributes

Definition at line 124 of file ezsys.php.

## ◆ $BackupFilename

eZSys::$BackupFilename

Definition at line 126 of file ezsys.php.

## ◆ $EnvSeparator

eZSys::$EnvSeparator

Definition at line 54 of file ezsys.php.

## ◆ $FileSeparator

eZSys::$FileSeparator

Definition at line 47 of file ezsys.php.

## ◆ $FileSystemType

eZSys::$FileSystemType

Definition at line 108 of file ezsys.php.

## ◆ $IndexFile

eZSys::$IndexFile

Definition at line 94 of file ezsys.php.

Referenced by init().

## ◆ $instance

eZSys::$instance = null
| static protected

Definition at line 141 of file ezsys.php.

Referenced by addAccessPath(), createShellArgument(), init(), instance(), mergeArgumentElements(), rootDir(), and setInstance().

## ◆ $LineSeparator

eZSys::$LineSeparator

Definition at line 40 of file ezsys.php.

## ◆ $OS

eZSys::$OS

Definition at line 125 of file ezsys.php.

## ◆ $OSType

eZSys::$OSType

Definition at line 122 of file ezsys.php.

## ◆ $Params

eZSys::$Params
| protected

Definition at line 134 of file ezsys.php.

## ◆ $QueryString

eZSys::$QueryString
| protected

Definition at line 149 of file ezsys.php.

## ◆ $RequestURI

eZSys::$RequestURI

Definition at line 101 of file ezsys.php.

## ◆ $RootDir

eZSys::$RootDir

Definition at line 61 of file ezsys.php.

## ◆ $ShellEscapeCharacter

eZSys::$ShellEscapeCharacter

Definition at line 115 of file ezsys.php.

## ◆ $SiteDir

eZSys::$SiteDir

Definition at line 68 of file ezsys.php.

## ◆ $WWWDir

eZSys::$WWWDir

Definition at line 87 of file ezsys.php.

The documentation for this class was generated from the following file:

- ezsys.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.